My Project: dgGraph< dgNodeData, dgEdgeData > Class Template Reference

My Project

Public Member Functions | List of all members
dgGraph< dgNodeData, dgEdgeData > Class Template Reference

`#include <dgGraph.h>`

Inheritance diagram for dgGraph< dgNodeData, dgEdgeData >:

## Public Member Functions

| dgGraph (dgMemoryAllocator *const allocator)
| ~dgGraph ()
dgGraph< dgNodeData, dgEdgeData >::dgListNode * | AddNode ()
void | DeleteNode (typename dgGraph< dgNodeData, dgEdgeData >::dgListNode *const node)
dgGraph< dgNodeData, dgEdgeData >::dgListNode * | GetNodeFromNodeData (dgNodeData *const nodeData)
Public Member Functions inherited from dgList< dgGraphNode< dgNodeData, dgEdgeData > >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgGraphNode< dgNodeData, dgEdgeData > &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgGraphNode< dgNodeData, dgEdgeData > &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgGraphNode< dgNodeData, dgEdgeData > &element) const
dgListNode * | GetNodeFromInfo (dgGraphNode< dgNodeData, dgEdgeData > &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgGraphNode< dgNodeData, dgEdgeData > &element)
void | RemoveAll ()
void | Merge (dgList< dgGraphNode< dgNodeData, dgEdgeData > > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgGraph()

template<class dgNodeData , class dgEdgeData >

dgGraph< dgNodeData, dgEdgeData >::dgGraph | ( | dgMemoryAllocator *const | allocator | ) |

## § ~dgGraph()

template<class dgNodeData , class dgEdgeData >

dgGraph< dgNodeData, dgEdgeData >::~dgGraph | ( |  | ) |

## Member Function Documentation

## § AddNode()

template<class dgNodeData , class dgEdgeData >

dgGraph< dgNodeData, dgEdgeData >::dgListNode * dgGraph< dgNodeData, dgEdgeData >::AddNode | ( |  | ) |

## § DeleteNode()

template<class dgNodeData, class dgEdgeData>

void dgGraph< dgNodeData, dgEdgeData >::DeleteNode | ( | typename dgGraph< dgNodeData, dgEdgeData >::dgListNode *const | node | ) |

## § GetNodeFromNodeData()

template<class dgNodeData, class dgEdgeData >

dgGraph< dgNodeData, dgEdgeData >::dgListNode * dgGraph< dgNodeData, dgEdgeData >::GetNodeFromNodeData | ( | dgNodeData *const | nodeData | ) |

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgGraph.h